Debian Bug report logs - #397620
gnome-speech: FTBFS: /usr/include/bonobo-activation-2.0/bonobo-activation/bonobo-activation-init.h:28:18: error: popt.h: No such file or directory

version graph

Package: gnome-speech; Maintainer for gnome-speech is Mario Lang <mlang@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 8 Nov 2006 13:33:02 UTC

Severity: serious

Found in version 1:0.3.10-1

Fixed in version gnome-speech/1:0.3.10-1.1

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mario Lang <mlang@debian.org>:
Bug#397620; Package gnome-speech. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Mario Lang <mlang@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: gnome-speech: FTBFS: /usr/include/bonobo-activation-2.0/bonobo-activation/bonobo-activation-init.h:28:18: error: popt.h: No such file or directory
Date: Wed, 8 Nov 2006 14:14:31 +0100
Package: gnome-speech
Version: 1:0.3.10-1
Severity: serious
Justification: FTBFS on i386, very likely to fail everywhere else
Usertags: grid5000

Hi,

During a rebuild of all packages in etch, I discovered that your package
failed to build on i386.

Relevant parts:
 cc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -Wall -Wmissing-prototypes
-Wnested-externs -Wpointer-arith -Wno-sign-c
ompare -I.. -DORBIT2=1 -pthread -I/usr/include/bonobo-activation-2.0
-I/usr/include/glib-2.0 -I/usr/lib/glib-
2.0/include -I/usr/include/orbit-2.0 -I/usr/include/libbonobo-2.0 -g
-Wall -O2 -c speaker.c  -fPIC -DPIC -o .
libs/speaker.o
In file included from
/usr/include/bonobo-activation-2.0/bonobo-activation/bonobo-activation.h:34,
                 from
/usr/include/libbonobo-2.0/bonobo/bonobo-object.h:14,
                 from
/usr/include/libbonobo-2.0/bonobo/bonobo-types.h:16,
                 from /usr/include/libbonobo-2.0/libbonobo.h:18,
                 from speaker.c:30:
/usr/include/bonobo-activation-2.0/bonobo-activation/bonobo-activation-init.h:28:18:
error: popt.h: No such file or directory
In file included from
/usr/include/bonobo-activation-2.0/bonobo-activation/bonobo-activation.h:34,
                 from
/usr/include/libbonobo-2.0/bonobo/bonobo-object.h:14,
                 from
/usr/include/libbonobo-2.0/bonobo/bonobo-types.h:16,
                 from /usr/include/libbonobo-2.0/libbonobo.h:18,
                 from speaker.c:30:
/usr/include/bonobo-activation-2.0/bonobo-activation/bonobo-activation-init.h:57:
error: array type has incomplete element type
make[4]: *** [speaker.lo] Error 1

The full build log is available from 
http://ox.blop.info/bazaar/buildlogs/20061107/

About the archive rebuilt: The rebuilt was done on about 30 AMD64 nodes
of the Grid'5000 platform, using a chroot containing an etch i386
environment (not unstable).  Internet was not accessible from the build
nodes. The builds were processed as root, in a clean chroot environment.

About Grid'5000:
The Grid'5000 project aims at building a highly reconfigurable
experimental Grid platform gathering 9 sites and featuring a total of
5000 CPUs. Its main purpose is to serve as an experimental testbed for
research in Grid Computing.  To learn more about Grid'5000, read
https://www.grid5000.fr/
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |



Information forwarded to debian-bugs-dist@lists.debian.org, Mario Lang <mlang@debian.org>:
Bug#397620; Package gnome-speech. Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Mario Lang <mlang@debian.org>. Full text and rfc822 format available.

Message #10 received at 397620@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 397620@bugs.debian.org
Subject: More FTBFS info
Date: Sat, 11 Nov 2006 14:29:01 +0000
[Message part 1 (text/plain, inline)]
Looking into this bug more, it looked like a simple build-dep on
libpopt-dev would make all the difference. That fixes the issue here,
but it then goes on further to fail building drivers:

make[4]: Leaving directory
`/home/steve/debian/bsp/gnome-speech-0.3.10/drivers/festival'
Making all in freetts
make[4]: Entering directory
`/home/steve/debian/bsp/gnome-speech-0.3.10/drivers/freetts'
Making all in java
make[5]: Entering directory
`/home/steve/debian/bsp/gnome-speech-0.3.10/drivers/freetts/java'
make[5]: *** No rule to make target `all'.  Stop.
make[5]: Leaving directory
`/home/steve/debian/bsp/gnome-speech-0.3.10/drivers/freetts/java'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory
`/home/steve/debian/bsp/gnome-speech-0.3.10/drivers/freetts'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory
`/home/steve/debian/bsp/gnome-speech-0.3.10/drivers'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/home/steve/debian/bsp/gnome-speech-0.3.10'
make[1]: *** [all] Error 2
make[1]: Leaving directory
`/home/steve/debian/bsp/gnome-speech-0.3.10'
make: *** [debian/stamp-makefile-build] Error 2

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"The problem with defending the purity of the English language is that
 English is about as pure as a cribhouse whore. We don't just borrow words; on
 occasion, English has pursued other languages down alleyways to beat them
 unconscious and rifle their pockets for new vocabulary."  -- James D. Nicoll
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Mario Lang <mlang@debian.org>:
Bug#397620; Package gnome-speech. Full text and rfc822 format available.

Acknowledgement sent to "Yauheni Kaliuta" <y.kaliuta@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mario Lang <mlang@debian.org>. Full text and rfc822 format available.

Message #15 received at 397620@bugs.debian.org (full text, mbox):

From: "Yauheni Kaliuta" <y.kaliuta@gmail.com>
To: 397620@bugs.debian.org
Subject: More FTBFS info
Date: Sat, 11 Nov 2006 17:56:06 +0200
Steve,

For me it's built ok if you install libpop-dev before building (not
after has found the problem)



Information forwarded to debian-bugs-dist@lists.debian.org, Mario Lang <mlang@debian.org>:
Bug#397620; Package gnome-speech. Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Mario Lang <mlang@debian.org>. Full text and rfc822 format available.

Message #20 received at 397620@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 397620@bugs.debian.org
Subject: Re: More FTBFS info
Date: Sat, 11 Nov 2006 16:31:36 +0000
[Message part 1 (text/plain, inline)]
Yup, rebuilding again clean does work. This suggests the clean target
in the package is not as clean as it could be, of course. But that's a
separate bug. :-(

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
< sladen> I actually stayed in a hotel and arrived to find a post-it
          note stuck to the mini-bar saying "Paul: This fridge and
          fittings are the correct way around and do not need altering"
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Mario Lang <mlang@debian.org>:
Bug#397620; Package gnome-speech. Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Mario Lang <mlang@debian.org>. Full text and rfc822 format available.

Message #25 received at 397620@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 397620@bugs.debian.org
Subject: Diff for NMU of gnome-speech
Date: Sat, 11 Nov 2006 23:05:51 +0000
[Message part 1 (text/plain, inline)]
Fix for the RC bugs, plus changes to fix the package failing to
*re*build correctly. I'm about to upload this.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
  Getting a SCSI chain working is perfectly simple if you remember that there
  must be exactly three terminations: one on one end of the cable, one on the
  far end, and the goat, terminated over the SCSI chain with a silver-handled
  knife whilst burning *black* candles. --- Anthony DeBoer
[gnome-speech_nmu.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 397620-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 397620-close@bugs.debian.org
Subject: Bug#397620: fixed in gnome-speech 1:0.3.10-1.1
Date: Sat, 11 Nov 2006 15:32:06 -0800
Source: gnome-speech
Source-Version: 1:0.3.10-1.1

We believe that the bug you reported is fixed in the latest version of
gnome-speech, which is due to be installed in the Debian FTP archive:

gnome-speech_0.3.10-1.1.diff.gz
  to pool/main/g/gnome-speech/gnome-speech_0.3.10-1.1.diff.gz
gnome-speech_0.3.10-1.1.dsc
  to pool/main/g/gnome-speech/gnome-speech_0.3.10-1.1.dsc
libgnome-speech3-dev_0.3.10-1.1_i386.deb
  to pool/main/g/gnome-speech/libgnome-speech3-dev_0.3.10-1.1_i386.deb
libgnome-speech3_0.3.10-1.1_i386.deb
  to pool/main/g/gnome-speech/libgnome-speech3_0.3.10-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 397620@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated gnome-speech package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 11 Nov 2006 18:45:15 +0200
Source: gnome-speech
Binary: libgnome-speech3-dev libgnome-speech3
Architecture: source i386
Version: 1:0.3.10-1.1
Distribution: unstable
Urgency: medium
Maintainer: Mario Lang <mlang@debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 libgnome-speech3 - GNOME text-to-speech library
 libgnome-speech3-dev - GNOME text-to-speech library (development headers)
Closes: 397620
Changes: 
 gnome-speech (1:0.3.10-1.1) unstable; urgency=medium
 .
   * NMU from the Helsinki BSP
   * Medium urgency for an RC bug fix
   * Added missing Build-Dep on libpopt-dev to fix FTBFS RC bug.
     Closes: #397620
   * Improve the clean: target in debian/rules so the package will rebuild
     cleanly.
Files: 
 07c5c0969128dbb7e88abb49f4ee0ea5 700 libs optional gnome-speech_0.3.10-1.1.dsc
 1fe4f058cce447c7148d80498f46d10f 2362 libs optional gnome-speech_0.3.10-1.1.diff.gz
 9f70ada3b6bdb0bd56298a057aa053d1 37698 libs optional libgnome-speech3_0.3.10-1.1_i386.deb
 82314cd85913ebc3a35e122ffcd800d2 30472 devel optional libgnome-speech3-dev_0.3.10-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFFVlc3fDt5cIjHwfcRAlv4AJwKRXp7wwxxAfsWp9c5obkLd1NccQCgidk9
1oAjIweOJwNkU4aaPVis/gI=
=9ty4
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 20:08:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:24:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.